//
//  BExtension.h
//  Blocks
//
//  Created by Jesse Grosjean on 8/21/07.
//  Copyright 2007 Blocks. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class BConfigurationElement;


@class BPlugin;

/*
 * An extension declared in a plug-in. All information is obtained from the declaring plug-in's
 * manifest (plugin.xml) file.
 */
@interface BExtension : NSObject {
	BPlugin *plugin;
	NSString *label;
	float processOrder;
	NSString *extensionPointUniqueIdentifier;
	NSMutableArray *configurationElements;
}

#pragma mark Attributes

- (BPlugin *)plugin;
- (NSString *)label;
- (NSString *)extensionPointUniqueIdentifier;
	
#pragma mark Configuration Elements

- (NSArray *)configurationElements;
- (NSArray *)configurationElementsNamed:(NSString *)name;

@end
